# Ruleset

Binds a specified ruleset to the input instead of the default ruleset.

This parameter applies to imuxsock: Unix Socket Input Module.

Name:

  Ruleset

Scope:

  input

Type:

  string

Default:

  input=default ruleset

Required?:

  no

Introduced:

  8.17.0

## Description

Binds specified ruleset to this input. If not set, the default ruleset is bound.

## Input usage

    input(type="imuxsock" ruleset="myRuleset")

## See also

See also imuxsock: Unix Socket Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.